﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HighlightRowOnHover
{
    public partial class frm_HighlightRowOnHover : Form
    {
        public frm_HighlightRowOnHover()
        {
            InitializeComponent();
        }
        int rowIndex = -1;
        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'c1NWindDataSet.Customers' table. You can move, or remove it, as needed.
            this.customersTableAdapter.Fill(this.c1NWindDataSet.Customers);
            c1TrueDBGrid1.MouseMove += new MouseEventHandler(c1TrueDBGrid1_MouseMove);
            c1TrueDBGrid1.OwnerDrawCell += new C1.Win.C1TrueDBGrid.OwnerDrawCellEventHandler(c1TrueDBGrid1_OwnerDrawCell);
            foreach (C1.Win.C1TrueDBGrid.C1DisplayColumn c in c1TrueDBGrid1.Splits[0].DisplayColumns)
                c.OwnerDraw = true;
        }
        void c1TrueDBGrid1_OwnerDrawCell(object sender, C1.Win.C1TrueDBGrid.OwnerDrawCellEventArgs e)
        {
            if (e.Row == rowIndex)
            {
                e.DrawCellFlags -= C1.Win.C1TrueDBGrid.Styles.DrawCellFlags.Background;
                Rectangle rct = new Rectangle(e.CellRect.X, e.CellRect.Y, e.CellRect.Width, e.CellRect.Height);
                e.Graphics.FillRectangle(new SolidBrush(Color.Plum), rct);
                e.Graphics.DrawString(e.Text, c1TrueDBGrid1.Font, new SolidBrush(Color.Black), e.CellRect);
                e.Handled = true;
            }
            else
            {
                e.DrawCellFlags = C1.Win.C1TrueDBGrid.Styles.DrawCellFlags.All;
            }
        }
        void c1TrueDBGrid1_MouseMove(object sender, MouseEventArgs e)
        {
            if ((this.c1TrueDBGrid1.PointAt(e.X, e.Y) == C1.Win.C1TrueDBGrid.PointAtEnum.AtDataArea))
            {
                c1TrueDBGrid1.RefreshRow(rowIndex);
                rowIndex = c1TrueDBGrid1.RowContaining(e.Y);
                c1TrueDBGrid1.RefreshRow(rowIndex);
            }
        }
    }
}
